Name: H5Glink
Signature:
  herr_t `H5Glink`(hid_t `loc_id`, H5G_link_t `link_type`, const char *`current_name`, const char *`new_name` )
Purpose:
  Creates a link of the specified type from `new_name` to `current_name`.
Description:
  `H5Glink` creates a new name for an object that has some current name, possibly one of many names it currently has.

  If `link_type` is `H5G_LINK_HARD`, then `current_name` must specify the name of an existing object and both names are interpreted relative to `loc_id`, which is either a file identifier or a group identifier.

  If `link_type` is `H5G_LINK_SOFT`, then `current_name` can be anything and is interpreted at lookup time relative to the group which contains the final component of `new_name`. For instance, if `current_name` is `./foo`, `new_name` is `./x/y/bar`, and a request is made for `./x/y/bar`, then the actual object looked up is `./x/y/./foo`.

Parameters:

hid_t `loc_id` | IN: File or group identifier.
H5G_link_t `link_type` | IN: Link type. Possible values are `H5G_LINK_HARD` and `H5G_LINK_SOFT`.
const char * `current_name` | IN: Name of the existing object if link is a hard link. Can be anything for the soft link.
const char * `new_name` | IN: New name for the object.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5glink_f

      SUBROUTINE h5glink_f(loc_id, link_type, current_name, new_name, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: loc_id      ! File or group location identifier
        INTEGER, INTENT(IN)        :: link_type   ! Link type, possible values are:
                                                  !     H5G_LINK_HARD_F
                                                  !     H5G_LINK_SOFT_F
        CHARACTER(LEN=*), INTENT(IN) :: current_name
                                                  ! Current object name relative
                                                  ! to loc_id
        CHARACTER(LEN=*), INTENT(IN) :: new_name  ! New object name
        INTEGER, INTENT(OUT) :: hdferr            ! Error code

      END SUBROUTINE h5glink_f